import { timerify } from '../../util/Performance.js';
import { hasDependency, load } from '../../util/plugin.js';
export const NAME = 'nyc';
export const ENABLERS = ['nyc'];
export const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
export const CONFIG_FILE_PATTERNS = ['.nycrc', '.nycrc.json', '.nycrc.{yml,yaml}', 'nyc.config.js'];
const findNycDependencies = async (configFilePath, options) => {
    const { isProduction } = options;
    if (isProduction)
        return [];
    const localConfig = await load(configFilePath);
    return localConfig?.extends ? [localConfig.extends].flat() : [];
};
export const findDependencies = timerify(findNycDependencies);
